Subject: Re: [PATCH] net: sfp: add qurik enabling 2500Base-x for HG MXPD-483II

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 2 Apr 2023 15:22:50 +0100

On Sun, Apr 02, 2023 at 12:44:37PM +0100, Daniel Golle wrote:
> The HG MXPD-483II 1310nm SFP module is meant to operate with 2500Base-X,
> however, in their EEPROM they incorrectly specify:
>     Transceiver type                          : Ethernet: 1000BASE-LX
>     ...
>     BR, Nominal                               : 2600MBd
> 
> Use sfp_quirk_2500basex for this module to allow 2500Base-X mode anyway.
> 
> https://forum.banana-pi.org/t/bpi-r3-sfp-module-compatibility/14573/60

Reviewed-by: Russell King (Oracle) <[email-masked]>

Please could you also arrange for the reporter to capture the ethtool
information via:

	ethtool -m ethX raw on > sfp-name.bin

and send me the binary file?

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!